<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 10/25/2009 *
 * ================                             Last change: 10/25/2009 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-config_imprint.php                          *
 * -------------------------------------------------------------------- *
 * Short description : Configuration for the imprint                    *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Konfiguration des Impressums                     *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * Needs to be in all Files and every File needs "svn propset           *
 * svn:keywords Date Revision" (autoprobset!) at least!!!!!!            *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!isAdmin())) {
	die();
} // END - if

// Add description as navigation point
addMenuDescription('admin', __FILE__);

// Form sent?
if (isFormSent()) {
	// Handle form ...
} else {
	// Query for all imprint data rows
	$result = SQL_QUERY('SELECT `imprint_key`,`imprint_value` FROM `{?_MYSQL_PREFIX?}_imprint_data` ORDER BY `imprint_id` ASC', __FILE__, __LINE__);

	// Do we have entries?
	if (SQL_NUMROWS($result) > 0) {
		// Load all entries
		$OUT = ''; $SW = 2;
		while ($content = SQL_FETCHARRAY($result)) {
			// Add more data
			$content['sw'] = $SW;

			// Load row template
			$OUT .= loadTemplate('admin_list_imprint_row', true, $content);

			// Switch color
			$SW = 3 - $SW;
		} // END - while

		// Transfer all rows to $content
		$content = $OUT;
	} else {
		// None found!
		$content = loadTemplate('admin_list_imprint_row_none', true);
	}

	// Load template
	loadTemplate('admin_list_imprint', false, $content);
}

// [EOF]
?>
